class COfficeMenuBase
{
public:
	declare COfficeMenuBase();
	declare _COfficeMenuBase();

	declare SetImages(HBITMAP bmp),HBITMAP;
	declare AttachMenu(HWND hwnd, HMENU menu);
	declare HandleMessage(UINT uMsg, WPARAM wParam, LPARAM lParam),BOOL;
	declare IsMenubarItem(WORD wID),BOOL;
	declare OnMeasureItem(MEASUREITEMSTRUCT* pmis);
	declare OnDrawItem(DRAWITEMSTRUCT* pdis);

	COLORREF BarBkIdleColor;  // menu bar color
	COLORREF BarBkHotColor;   // menu bar background color for hot-item
	COLORREF BarBorderColor;  // menu bar hot item rectangle color
	COLORREF ItemBorderColor; // selected item rectangle color
	COLORREF ItemBkColor;     // selected item background color
	COLORREF SeparatorColor;

	HMENU         m_menu;
	HWND          m_hwnd;
	HBITMAP       m_bmp;      // icons
	TRIVERTEX     m_vert[2];  // icons background gradient
	GRADIENT_RECT m_vertRect; // icons background gradient * this can be global
	HFONT         m_hMenuFont;     // default font
	HFONT         m_hMenuBoldFont; // bold font
};
